Bug 1518260 - EC DISCARD doesn't punch hole properly
Summary: EC DISCARD doesn't punch hole properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Sunil Kumar Acharya
QA Contact: nchilaka
URL:
Whiteboard:
Depends On: 1499865 1516206
Blocks: 1503137 1518255 1518257
TreeView+ depends on / blocked
 
Reported: 2017-11-28 14:01 UTC by Sunil Kumar Acharya
Modified: 2018-09-17 16:50 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.12.2-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1516206
Environment:
Last Closed: 2018-09-04 06:39:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:41:33 UTC

Description Sunil Kumar Acharya 2017-11-28 14:01:55 UTC
+++ This bug was initially created as a clone of Bug #1516206 +++

Description of problem:
DISCARD operation on EC volume doesn't punch hole properly in some cases.



How reproducible:

Always

Steps to Reproduce:
1. Create 4+2 EC volume

2. Create file
dd if=/dev/urandom of=/mnt/file bs=1024 count=8

3. Punch hole
fallocate -p -o 1500 -l 3000 /mnt/file
 
4. When checked hole size is less than the specified size.
Actual results:


Expected results:

Discard should punch hole of the size specified.

--- Additional comment from Worker Ant on 2017-11-22 04:57:37 EST ---

REVIEW: https://review.gluster.org/18838 (cluster/ec: EC DISCARD doesn't punch hole properly) posted (#1) for review on master by Sunil Kumar Acharya

--- Additional comment from Worker Ant on 2017-11-28 04:35:06 EST ---

COMMIT: https://review.gluster.org/18838 committed in master by \"Sunil Kumar Acharya\" <sheggodu@redhat.com> with a commit message- cluster/ec: EC DISCARD doesn't punch hole properly

Problem:
DISCARD operation on EC volume was punching hole of lesser
size than the specified size in some cases.

Solution:
EC was not handling punch hole for tail part in some cases.
Updated the code to handle it appropriately.

BUG: 1516206
Change-Id: If3e69e417c3e5034afee04e78f5f78855e65f932
Signed-off-by: Sunil Kumar Acharya <sheggodu@redhat.com>

Comment 2 Sunil Kumar Acharya 2017-11-28 14:16:35 UTC
Upstream Patch: https://review.gluster.org/#/c/18838/

Comment 9 nchilaka 2018-05-09 10:51:36 UTC
retested on 3.12.2-8 the above case. Hole was punched properly.

Note: however the log message was not seen

Comment 11 errata-xmlrpc 2018-09-04 06:39:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.